Bug 1124265 - rubygem-ruby_parser-3.8.2 is available
Summary: rubygem-ruby_parser-3.8.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-ruby_parser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 07:31 UTC by Upstream Release Monitoring
Modified: 2016-08-27 10:41 UTC (History)
2 users (show)

Fixed In Version: rubygem-ruby_parser-3.8.2-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:41:32 UTC


Attachments (Terms of Use)
[patch] Update to 3.6.6 (#1124265) (934 bytes, text/x-diff)
2015-04-14 01:14 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 3.7.0 (#1124265) (934 bytes, text/x-diff)
2015-05-29 01:59 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 3.7.2 (#1124265) (1.05 KB, patch)
2015-10-27 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.7.3 (#1124265) (1.05 KB, patch)
2016-01-22 12:16 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.8.0 (#1124265) (1.05 KB, patch)
2016-02-19 12:19 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.8.1 (#1124265) (1.05 KB, patch)
2016-02-20 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.25 KB, patch)
2016-05-06 00:22 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-07-29 07:31:19 UTC
Latest upstream release: 3.6.2
Current version/release in Fedora Rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/api/v1/gems/ruby_parser.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-09-27 10:52:05 UTC
Latest upstream release: 3.6.3
Current version/release in Fedora Rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/api/v1/gems/ruby_parser.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2015-01-19 10:22:43 UTC
Latest upstream release: 3.6.4
Current version/release in Fedora Rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/api/v1/gems/ruby_parser.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 3 Upstream Release Monitoring 2015-03-13 01:19:39 UTC
Latest upstream release: 3.6.5
Current version/release in rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2015-03-13 01:21:24 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9214384

Comment 5 Upstream Release Monitoring 2015-04-14 01:14:24 UTC
Latest upstream release: 3.6.6
Current version/release in rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-04-14 01:14:33 UTC
Created attachment 1014088 [details]
[patch] Update to 3.6.6 (#1124265)

Comment 7 Upstream Release Monitoring 2015-04-14 01:16:42 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9472523

Comment 8 Upstream Release Monitoring 2015-05-29 01:58:56 UTC
Latest upstream release: 3.7.0
Current version/release in rawhide: 3.6.1-1.fc22
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 9 Upstream Release Monitoring 2015-05-29 01:59:06 UTC
Created attachment 1031525 [details]
[patch] Update to 3.7.0 (#1124265)

Comment 10 Upstream Release Monitoring 2015-05-29 02:04:52 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9873433

Comment 11 Upstream Release Monitoring 2015-08-07 00:17:03 UTC
Latest upstream release: 3.7.1
Current version/release in rawhide: 3.6.1-2.fc23
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-08-07 00:17:10 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-MWA31c/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-MWA31c/100.0%: No such file or directory

Comment 13 Upstream Release Monitoring 2015-10-27 00:18:46 UTC
Latest upstream release: 3.7.2
Current version/release in rawhide: 3.6.1-2.fc23
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-10-27 00:18:56 UTC
Created attachment 1086646 [details]
[patch] Update to 3.7.2 (#1124265)

Comment 15 Upstream Release Monitoring 2015-10-27 00:26:35 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11590454

Comment 16 Upstream Release Monitoring 2016-01-22 12:16:43 UTC
Latest upstream release: 3.7.3
Current version/release in rawhide: 3.6.1-2.fc23
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2016-01-22 12:16:53 UTC
Created attachment 1117177 [details]
[patch] Update to 3.7.3 (#1124265)

Comment 18 Upstream Release Monitoring 2016-01-22 12:19:52 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12647096

Comment 19 Upstream Release Monitoring 2016-02-19 12:19:30 UTC
Latest upstream release: 3.8.0
Current version/release in rawhide: 3.6.1-3.fc24
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2016-02-19 12:19:39 UTC
Created attachment 1128547 [details]
[patch] Update to 3.8.0 (#1124265)

Comment 21 Upstream Release Monitoring 2016-02-19 12:22:32 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13047819

Comment 22 Upstream Release Monitoring 2016-02-20 00:21:13 UTC
Latest upstream release: 3.8.1
Current version/release in rawhide: 3.6.1-3.fc24
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 23 Upstream Release Monitoring 2016-02-20 00:21:22 UTC
Created attachment 1128689 [details]
[patch] Update to 3.8.1 (#1124265)

Comment 24 Upstream Release Monitoring 2016-02-20 00:24:32 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13054371

Comment 25 Upstream Release Monitoring 2016-05-06 00:21:57 UTC
Latest upstream release: 3.8.2
Current version/release in rawhide: 3.6.1-3.fc24
URL: http://rubygems.org/gems/ruby_parser

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4249/

Comment 26 Upstream Release Monitoring 2016-05-06 00:22:10 UTC
Patching or scratch build for rubygem-ruby_parser-3.6.1 failed.

Comment 27 Upstream Release Monitoring 2016-05-06 00:22:11 UTC
Created attachment 1154425 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 28 Upstream Release Monitoring 2016-05-06 00:22:12 UTC
Patches were not touched. All were applied properly

Comment 29 Upstream Release Monitoring 2016-08-11 10:54:29 UTC
vondruch's rubygem-ruby_parser-3.8.2-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=790868

Comment 30 Fedora Update System 2016-08-11 10:55:44 UTC
rubygem-ruby_parser-3.8.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41fcd65cbf

Comment 31 Fedora Update System 2016-08-11 16:56:03 UTC
rubygem-ruby_parser-3.8.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41fcd65cbf

Comment 32 Fedora Update System 2016-08-27 10:41:30 UTC
rubygem-ruby_parser-3.8.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.